
/* Tower defense code is split into three modules: 
   rules module, creeps module and user module. */

/*
      * Rules module:

        Sets up game rules, such as starting conditions,
        victory conditions, and bounty for killing enemies.

        Tweak this only if you are seriously unsatisfied
        with the game rules it provides.

        For example, if you want to unlock a certain technology
        for a certain player, you can do this in the user module.
        But if you want to disable cyborgs, you would have to
        tweak this module.
*/

include("challenges/td1_v2/td_rules.js");

/*
      * Creeps module:

        Provides a function called creepsSend(), calling which
        would create a wave of creeps with given parameters.

        You are supposed to call this function from the user module.
        See comments inside the creeps module to understand how to
        use this function.
*/

include("challenges/td1_v2/td_creeps.js");

/*
      * User module:

        Contains all the stuff specific to a particular tower
        defense map. 

        Tweak this first if you want to create
        your own tower defense challenge.
*/

include("challenges/td1_v2/td_user.js");
