
function eventStartLevel() {

	// we cannot design new tanks
	setDesign(false);

	// we always have a minimap
	setMiniMap(true);

	// for each human player
	[0].forEach(function(playnum) {

		// we should be able to produce stuff
		completeResearch("R-Vehicle-Prop-Wheels", playnum);
		completeResearch("R-Sys-Spade1Mk1", playnum);
		completeResearch("R-Vehicle-Body01", playnum);
		completeResearch("R-Comp-SynapticLink", playnum);
		enableTemplate("ConstructionDroid", playnum);
		enableTemplate("Cyb-ComEng", playnum);
		enableTemplate("Cyb-Mechanic", playnum);
		enableTemplate("ScorpHoverTruck", playnum);
		enableTemplate("CO-M-Con-T", playnum);
		enableTemplate("P6-L-Bomb1-V", playnum);
		enableTemplate("V-Bug-HPV", playnum);
		enableTemplate("V-Scor-Lancer", playnum);
		enableTemplate("CO-L-RotMG-VTOL", playnum);
		enableTemplate("CO-M-HVAT-V", playnum);
		enableTemplate("NX-L-PulseLas-VTOL", playnum);
		enableTemplate("NX-H-Rail2-VTOL", playnum);
		enableTemplate("NX-M-Bomb4-VTOL", playnum);
		enableTemplate("ViperRepairWheels", playnum);
		enableTemplate("SK-Bug-Hover-Repair", playnum);
		enableTemplate("ScorpHRepairHover", playnum);
		makeComponentAvailable("CyborgLegs", playnum);
		makeComponentAvailable("CyborgSpade", playnum);
		makeComponentAvailable("CyborgRepair", playnum);

		// we need to be able to research things as usual
		enableResearch("R-Sys-Sensor-Turret01", playnum);
		enableResearch("R-Wpn-MG1Mk1", playnum);
		enableResearch("R-Sys-Engineering01", playnum);

		// we need to be able to build stuff as usual
		enableStructure("A0CommandCentre", playnum);
		enableStructure("A0LightFactory", playnum);
		enableStructure("A0ResourceExtractor", playnum);
		enableStructure("A0PowerGenerator", playnum);
		enableStructure("A0ResearchFacility", playnum);

		// we could use some money at start
		setPower(1300, playnum);

		// we shouldn't allow too many structures
		setStructureLimits("A0LightFactory", 5, playnum);
		setStructureLimits("A0PowerGenerator", 8, playnum);
		setStructureLimits("A0ResearchFacility", 5, playnum);
		setStructureLimits("A0CommandCentre", 0, playnum);
		setStructureLimits("A0ComDroidControl", 0, playnum);
		setStructureLimits("A0CyborgFactory", 5, playnum);
		setStructureLimits("A0VTolFactory1", 5, playnum);

	});

	// we're still standing!
	defeated = false;

	// map-specific initialization; set wave
	// timeout based on the return value

	var timeout = userInit();
	setTimer("eventTimeout", timeout);

}

/* What happens when something is destroyed */

function eventDestroyed(object) {

	// human player's object is destroyed
	if (object.player == 0) {

		// we are defeated if our HQ is destroyed
		if (object.stattype == HQ) {
			gameOverMessage(false);
			defeated = true;
		}

		// react on no other deaths of player's objects
		return;
	}

	// upon creating objects, we store their
	// bounty in their name, eg. "Droid for $1"
	var bounty = parseInt(object.name.slice(11));
	setPower(playerPower(0) + bounty, 0);

}

/* Command center under attack warning */

var lastHitTime = 0;
function eventAttacked(victimObj, attackerObj)
{
	if (gameTime > lastHitTime + 10 && victimObj.stattype == HQ)
	{
		lastHitTime = gameTime;
		playSound("pcv337.ogg", victimObj.x, victimObj.y, victimObj.z);	// show position if still alive
	}
}